package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 题库分类对象 question_column
 *
 * @author miaxis
 * @date 2023-11-03
 */
@Data
@TableName("question_column")
@ApiModel(value = "QuestionColumn", description = "题库分类对象 question_column")
public class QuestionColumn extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**  ID */
    @TableId(value = "id")
    @ApiModelProperty(value = " ID")
    private Long id;

    /** 列ID */
    @Excel(name = "列ID")
    @TableField("column_id")
    @ApiModelProperty(value = "列ID")
    private Integer columnId;

    /** 排序 */
    @Excel(name = "排序")
    @TableField("sort")
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /** 车型 */
    @Excel(name = "车型")
    @TableField("model")
    @ApiModelProperty(value = "车型")
    private String model;

    /** 科目类型 */
    @Excel(name = "科目类型")
    @TableField("subject")
    @ApiModelProperty(value = "科目类型 k1:顺序练习 k1_2:精选必考题 k1_3:分类练习 k1_4:地方题库  k4:顺序练习  k4_2:精选必考题  k4_3:分类练习  k4_4:地方题库")
    private String subject;

    /** 分类标题 */
    @Excel(name = "分类标题")
    @TableField("title")
    @ApiModelProperty(value = "分类标题")
    private String title;



}
