package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取快通题库对象 question_info_kt_get
 *
 * @author miaxis
 * @date 2022-04-08
 */
@Data
@TableName("question_info_kt_new")
@ApiModel(value = "QuestionInfoKtNew", description = "获取快通题库对象 question_info_kt_new")
public class QuestionInfoKtNew extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**  主键 */
    @TableId(value = "id",type = IdType.INPUT)
    @ApiModelProperty(value = " 主键")
    private Long id;


    /** 一点通ID */
    @Excel(name = "一点通ID")
    @TableField("id_ydt")
    @ApiModelProperty(value = "一点通ID")
    private Long idYdt;


    /** 在所有题目中的序号 */
    @Excel(name = "在所有题目中的序号")
    @TableField("number")
    @ApiModelProperty(value = "在所有题目中的序号")
    private Long number;

    /** 正确答案 */
    @Excel(name = "正确答案")
    @TableField("answer")
    @ApiModelProperty(value = "正确答案")
    private String answer;

    /** 答案关键词 */
    @Excel(name = "答案关键词")
    @TableField("answerkeyword")
    @ApiModelProperty(value = "答案关键词")
    private String answerkeyword;

    /** 技巧讲解图片URL */
    @Excel(name = "技巧讲解图片URL")
    @TableField("explain_gif")
    @ApiModelProperty(value = "技巧讲解图片URL")
    private String explainGif;

    /** 技巧讲解说明 */
    @Excel(name = "技巧讲解说明")
    @TableField("explain_jq")
    @ApiModelProperty(value = "技巧讲解说明")
    private String explainJq;

    /** 官方解释 */
    @Excel(name = "官方解释")
    @TableField("explain_js")
    @ApiModelProperty(value = "官方解释")
    private String explainJs;

    /** 技巧讲解语音URL */
    @Excel(name = "技巧讲解语音URL")
    @TableField("explain_mp3")
    @ApiModelProperty(value = "技巧讲解语音URL")
    private String explainMp3;

    /** 题目图片URL */
    @Excel(name = "题目图片URL")
    @TableField("image")
    @ApiModelProperty(value = "题目图片URL")
    private String image;

    /** 题目图片URL2 */
    @Excel(name = "题目图片URL2")
    @TableField("image_ydt")
    @ApiModelProperty(value = "题目图片URL2")
    private String imageYdt;

    /** 题目 */
    @Excel(name = "题目")
    @TableField("issue")
    @ApiModelProperty(value = "题目")
    private String issue;

    /** 答案选项 */
    @Excel(name = "答案选项")
    @TableField("opts")
    @ApiModelProperty(value = "答案选项")
    private String opts;

    /** 答题技巧关键词 */
    @Excel(name = "答题技巧关键词")
    @TableField("skillkeyword")
    @ApiModelProperty(value = "答题技巧关键词")
    private String skillkeyword;

    /** 题目关键词 */
    @Excel(name = "题目关键词")
    @TableField("titlekeyword")
    @ApiModelProperty(value = "题目关键词")
    private String titlekeyword;

    /** 读题语音URL */
    @Excel(name = "读题语音URL")
    @TableField("issuemp3")
    @ApiModelProperty(value = "读题语音URL")
    private String issuemp3;

    /** 答案语音URL */
    @Excel(name = "答案语音URL")
    @TableField("answermp3")
    @ApiModelProperty(value = "答案语音URL")
    private String answermp3;

    /** 读题+答案语音URL */
    @Excel(name = "读题+答案语音URL")
    @TableField("explainjsmp3")
    @ApiModelProperty(value = "读题+答案语音URL")
    private String explainjsmp3;

    /** 车型 */
    @Excel(name = "车型")
    @TableField("model")
    @ApiModelProperty(value = "车型")
    private String model;

    /** 本题属于哪些分类ID */
    @Excel(name = "本题属于哪些分类ID")
    @TableField("column_all")
    @ApiModelProperty(value = "本题属于哪些分类ID")
    private String columnAll;

    /** 题目类型 1判断题 2选择题 3多选题 */
    @Excel(name = "题目类型 1判断题 2选择题 3多选题")
    @TableField("question_type")
    @ApiModelProperty(value = "题目类型 1判断题 2选择题 3多选题")
    private Long questionType;


    /** 科目 */
    @Excel(name = "科目")
    @TableField("subject")
    @ApiModelProperty(value = "科目")
    private String subject;


    /** 章节ID */
    @Excel(name = "章节ID")
    @TableField("chapter_id")
    @ApiModelProperty(value = "章节ID")
    private Long chapterId;

    /** 是否新规定 0否 1是 */
    @Excel(name = "是否新规定 0否 1是")
    @TableField("is_new")
    @ApiModelProperty(value = "是否新规定 0否 1是")
    private Long isNew;

    /** 难度 */
    @Excel(name = "难度")
    @TableField("diff_degree")
    @ApiModelProperty(value = "难度")
    private Long diffDegree;

    /** 错误率 */
    @Excel(name = "错误率")
    @TableField("error_rate")
    @ApiModelProperty(value = "错误率")
    private Long errorRate;


}
