package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionColumn;
import com.miaxis.question.mapper.QuestionColumnMapper;
import com.miaxis.question.service.IQuestionColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 题库分类Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-03
 */
@Service
public class QuestionColumnServiceImpl extends ServiceImpl<QuestionColumnMapper, QuestionColumn> implements IQuestionColumnService {
    @Autowired
    private QuestionColumnMapper questionColumnMapper;

    /**
     * 查询题库分类列表
     *
     * @param questionColumn 题库分类
     * @return 题库分类
     */
    @Override
    public List<QuestionColumn> selectQuestionColumnList(QuestionColumn questionColumn){
        return questionColumnMapper.selectQuestionColumnList(questionColumn);
    }
}
