package com.miaxis.three.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 三力测试对象 three_force
 *
 * @author miaxis
 * @date 2023-04-03
 */
@Data
@TableName("three_force")
@ApiModel(value = "ThreeForce", description = "三力测试对象 three_force")
public class ThreeForce {
    private static final long serialVersionUID = 1L;

    @TableId("ID")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("Type")
    @ApiModelProperty(value = "类型 1选择 2判断 3多选")
    private Long type;

    @TableField("intNumber")
    @ApiModelProperty(value = "章节_int")
    private String intnumber;

    @TableField("strTppe")
    @ApiModelProperty(value = "大章节ID")
    private String strtppe;

    @TableField("strType_l")
    @ApiModelProperty(value = "小章节ID")
    private String strtypeL;

    @TableField("LicenseType")
    @ApiModelProperty(value = "许可证类型-车型")
    private String licensetype;

    @TableField("Question")
    @ApiModelProperty(value = "题目")
    private String question;

    @TableField("An1")
    @ApiModelProperty(value = "答案1")
    private String an1;

    @TableField("An2")
    @ApiModelProperty(value = "答案2")
    private String an2;

    @TableField("An3")
    @ApiModelProperty(value = "答案3")
    private String an3;

    @TableField("An4")
    @ApiModelProperty(value = "答案4")
    private String an4;

    @TableField("An5")
    @ApiModelProperty(value = "答案5")
    private String an5;

    @TableField("An6")
    @ApiModelProperty(value = "答案6")
    private String an6;

    @TableField("An7")
    @ApiModelProperty(value = "答案7")
    private String an7;

    @TableField("AnswerTrue")
    @ApiModelProperty(value = "正确答案")
    private String answertrue;

    @TableField("explain")
    @ApiModelProperty(value = "解释")
    private String explain;

    @TableField("BestAnswerId")
    @ApiModelProperty(value = "答案ID")
    private String bestanswerid;

    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;

    @TableField("jieshi_from")
    @ApiModelProperty(value = "解释from")
    private String jieshiFrom;

    @TableField("moretypes")
    @ApiModelProperty(value = "更多类型")
    private String moretypes;

    @TableField("chapterid")
    @ApiModelProperty(value = "章节ID")
    private Long chapterid;

    @TableField("sinaimg")
    @ApiModelProperty(value = "图片名称")
    private String sinaimg;

    @TableField("video_url")
    @ApiModelProperty(value = "视频URL")
    private String videoUrl;

    @TableField("diff_degree")
    @ApiModelProperty(value = "难度")
    private Long diffDegree;

    @TableField("cityid")
    @ApiModelProperty(value = "城市ID")
    private Long cityid;

    @TableField("gs")
    @ApiModelProperty(value = "车型")
    private String gs;

    @TableField("keyword")
    @ApiModelProperty(value = "关键词")
    private String keyword;

    @TableField("error_rate")
    @ApiModelProperty(value = "错误率")
    private Long errorRate;

    @TableField("media_url")
    @ApiModelProperty(value = "媒体URL（图片）")
    private String mediaUrl;

    @TableField("show_option_type")
    @ApiModelProperty(value = "未知")
    private Long showOptionType;

    @TableField("question_source")
    @ApiModelProperty(value = "问题源")
    private Long questionSource;

    @TableField("best_explain_new")
    @ApiModelProperty(value = "格式化后解释（HTML代码）")
    private String bestExplainNew;

}
