package com.miaxis.traffic.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.traffic.mapper.TrafficSignMapper;
import com.miaxis.traffic.domain.TrafficSign;
import com.miaxis.traffic.service.ITrafficSignService;

/**
 * 标示Service业务层处理
 *
 * @author miaxis
 * @date 2023-05-30
 */
@Service
public class TrafficSignServiceImpl extends ServiceImpl<TrafficSignMapper, TrafficSign> implements ITrafficSignService {
    @Autowired
    private TrafficSignMapper trafficSignMapper;

    /**
     * 查询标示列表
     *
     * @param trafficSign 标示
     * @return 标示
     */
    @Override
    public List<TrafficSign> selectTrafficSignList(TrafficSign trafficSign){
        return trafficSignMapper.selectTrafficSignList(trafficSign);
    }
}
